with GNATCOM.Dispinterface;

package MSHTML.IHTMLRuleStyle2_Object is

   type IHTMLRuleStyle2_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_tableLayout
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_tableLayout
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_borderCollapse
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_borderCollapse
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_direction
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_direction
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_behavior
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_behavior
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_position
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_position
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_unicodeBidi
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_unicodeBidi
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_bottom
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_bottom
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_right
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_right
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_pixelBottom
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_pixelBottom
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_pixelRight
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_pixelRight
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_posBottom
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_posBottom
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_posRight
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_posRight
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_imeMode
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_imeMode
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_rubyAlign
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_rubyAlign
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_rubyPosition
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_rubyPosition
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_rubyOverhang
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_rubyOverhang
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_layoutGridChar
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_layoutGridChar
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_layoutGridLine
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_layoutGridLine
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_layoutGridMode
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_layoutGridMode
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_layoutGridType
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_layoutGridType
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_layoutGrid
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_layoutGrid
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_textAutospace
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_textAutospace
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_wordBreak
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_wordBreak
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_lineBreak
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_lineBreak
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_textJustify
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_textJustify
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_textJustifyTrim
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_textJustifyTrim
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_textKashida
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_textKashida
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_overflowX
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_overflowX
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_overflowY
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_overflowY
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_accelerator
     (This : IHTMLRuleStyle2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_accelerator
     (This : IHTMLRuleStyle2_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLRuleStyle2_Object;

